<!DOCTYPE html>
<html lang="en">

<head>
    <title>Corda Client</title>
</head>

<body id="page-top">
<h3>Approve Loan Request</h3>
<button id="uuidbtn">Load Loan Requests</button>
<br><br>
<label for="uuid">ID: </label>
<select id="uuid">
    <option value=""></option>
</select>
<br> <br>
<label for="bank">Banks: </label>
<input type="text" id="bank" name="bank">
<br><br>
<button id="approveloan">Submit</button>
<br><br><br>
<h3>Loans Requests</h3>
<button id="loanrequests">View Requests</button>
<ol>
</ol>


<!-- Plugin JavaScript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>
            $(document).ready(function () {

                $("#approveloan").click(function () {
                    const uuid = document.getElementById("uuid").value;
                    const bank = document.getElementById("bank").value;
                    $.post("/approveRequest", { value: uuid, partyName: bank }, function (result) {
                        alert(result);
                    });

                });

                $("#uuidbtn").click(function () {
                    $.get("/getNonHistoricUUID", function (data) {
                    console.log(data);
                        $.each(data, function (key, value) {
                            $('#uuid').append('<option value="' + value.linearId.id + '">' + value.linearId.id + '</option>');
                        });
                    });
                });

                $("#loanrequests").click(function () {
                    $.get("/myRequest", function (data) {
                        console.log(data);
                        $('ol').empty();
                        $.each(data, function (key, value) {
                            $("ol").append("<li>"  + "ID: " + value.linearId.id + ", Requester: " + value.requester + ", Bank: " + value.bank + ", Loan Amount: " + value.requestValue + "</li>");
                        });
                    });
                });
            });
        </script>
</body>

</html>
